<?php
add_action( 'init', 'register_cpt_song_lyric' );

function register_cpt_song_lyric() {


//Lyrics Post type

  $labels = array( 
        'name' => _x( 'Lyrics', 'song_lyric' ),
        'singular_name' => _x( 'Lyrics', 'song_lyric' ),
        'add_new' => _x( 'Add New', 'song_lyric' ),
        'add_new_item' => _x( 'Add New Lyrics', 'song_lyric' ),
        'edit_item' => _x( 'Edit Lyrics', 'song_lyric' ),
        'new_item' => _x( 'New Lyrics', 'song_lyric' ),
        'view_item' => _x( 'View Lyrics', 'song_lyric' ),
        'search_items' => _x( 'Search Lyrics', 'song_lyric' ),
        'not_found' => _x( 'No lyrics found', 'song_lyric' ),
        'not_found_in_trash' => _x( 'No lyrics found in Trash', 'song_lyric' ),
        'parent_item_colon' => _x( 'Parent Lyrics:', 'song_lyric' ),
        'menu_name' => _x( 'Lyrics', 'song_lyric' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => false,
        'supports' => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'revisions' ),
       // 'taxonomies' => array( 'cel_album', 'cel_artist', 'cel_genre' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        
        
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => array("slug" => "lyric"),
        'capability_type' => 'post'
    );

    register_post_type( 'song_lyric', $args );
 
 
 //Album Taxonomy
 
  $labels = array( 
        'name' => _x( 'Albums', 'cel_albums' ),
        'singular_name' => _x( 'Album', 'cel_albums' ),
        'search_items' => _x( 'Search Albums', 'cel_albums' ),
        'popular_items' => _x( 'Popular Albums', 'cel_albums' ),
        'all_items' => _x( 'All Albums', 'cel_albums' ),
        'parent_item' => _x( 'Parent Album', 'cel_albums' ),
        'parent_item_colon' => _x( 'Parent Album:', 'cel_albums' ),
        'edit_item' => _x( 'Edit Album', 'cel_albums' ),
        'update_item' => _x( 'Update Album', 'cel_albums' ),
        'add_new_item' => _x( 'Add New Album', 'cel_albums' ),
        'new_item_name' => _x( 'New Album', 'cel_albums' ),
        'separate_items_with_commas' => _x( 'Separate albums with commas', 'cel_albums' ),
        'add_or_remove_items' => _x( 'Add or remove Albums', 'cel_albums' ),
        'choose_from_most_used' => _x( 'Choose from most used Albums', 'cel_albums' ),
        'menu_name' => _x( 'Albums', 'cel_albums' ),
    );

    $args = array( 
        'labels' => $labels,
        'public' => true,
        'show_in_nav_menus' => true,
        'show_ui' => true,
        'show_tagcloud' => true,
        'hierarchical' => true,
        'rewrite' => array( 'slug' => 'album' ),
        'query_var' => true
    );

    register_taxonomy( 'cel_albums', array('song_lyric'), $args );
 
 
 //Artists Taxonomy
 
 $labels = array( 
        'name' => _x( 'Artists', 'cel_artists' ),
        'singular_name' => _x( 'Artist', 'cel_artists' ),
        'search_items' => _x( 'Search Artists', 'cel_artists' ),
        'popular_items' => _x( 'Popular Artists', 'cel_artists' ),
        'all_items' => _x( 'All Artists', 'cel_artists' ),
        'parent_item' => _x( 'Parent Artist', 'cel_artists' ),
        'parent_item_colon' => _x( 'Parent Artist:', 'cel_artists' ),
        'edit_item' => _x( 'Edit Artist', 'cel_artists' ),
        'update_item' => _x( 'Update Artist', 'cel_artists' ),
        'add_new_item' => _x( 'Add New Artist', 'cel_artists' ),
        'new_item_name' => _x( 'New Artist', 'cel_artists' ),
        'separate_items_with_commas' => _x( 'Separate artists with commas', 'cel_artists' ),
        'add_or_remove_items' => _x( 'Add or remove Artists', 'cel_artists' ),
        'choose_from_most_used' => _x( 'Choose from most used Artists', 'cel_artists' ),
        'menu_name' => _x( 'Artists', 'cel_artists' ),
    );

    $args = array( 
        'labels' => $labels,
        'public' => true,
        'show_in_nav_menus' => true,
        'show_ui' => true,
        'show_tagcloud' => true,
        'hierarchical' => true,
        'rewrite' => array( 'slug' => 'artist' ),
        'query_var' => true
    );

    register_taxonomy( 'cel_artists', array('song_lyric'), $args );
 
 
 //Genre taxonomy 
 
  $labels = array( 
        'name' => _x( 'Genre', 'cel_genre' ),
        'singular_name' => _x( 'Genre', 'cel_genre' ),
        'search_items' => _x( 'Search Genre', 'cel_genre' ),
        'popular_items' => _x( 'Popular Genre', 'cel_genre' ),
        'all_items' => _x( 'All Genre', 'cel_genre' ),
        'parent_item' => _x( 'Parent Genre', 'cel_genre' ),
        'parent_item_colon' => _x( 'Parent Genre:', 'cel_genre' ),
        'edit_item' => _x( 'Edit Genre', 'cel_genre' ),
        'update_item' => _x( 'Update Genre', 'cel_genre' ),
        'add_new_item' => _x( 'Add New Genre', 'cel_genre' ),
        'new_item_name' => _x( 'New Genre', 'cel_genre' ),
        'separate_items_with_commas' => _x( 'Separate genre with commas', 'cel_genre' ),
        'add_or_remove_items' => _x( 'Add or remove Genre', 'cel_genre' ),
        'choose_from_most_used' => _x( 'Choose from most used Genre', 'cel_genre' ),
        'menu_name' => _x( 'Genre', 'cel_genre' ),
    );

    $args = array( 
        'labels' => $labels,
        'public' => true,
        'show_in_nav_menus' => true,
        'show_ui' => true,
        'show_tagcloud' => true,
        'hierarchical' => true,
        'rewrite' => array( 'slug' => 'genre' ),
        'query_var' => true
    );

    register_taxonomy( 'cel_genre', array('song_lyric'), $args );
 
 


 
 
    }
    
    
function add_genre_featured() {
if(!is_term('Featured', 'cel_genre')){
  wp_insert_term('Featured', 'cel_genre');
}
}

add_action( 'init', 'add_genre_featured' );